﻿using System;
using WebClient.YJM;
using WebClient.YJM2;

namespace WebClient
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            #region asmx/webservice调用示例
            using (HelloWorld ws = new HelloWorld())
            {
                ws.Url = Properties.Settings.Default.WebClient_YJM_HelloWorld; //动态指定url为web.config中的配置地址
                string result =  ws.Hello("client_asmx");
                Response.Write("asmx call:" + result + "<br/>");
            }
            #endregion


            #region svc/wcf 调用示例
            using (HelloWorld2Client client = new HelloWorld2Client())
            {
                string result = client.Hello("client_wcf");
                Response.Write("wcf call:" + result + "<br/>");
            }
            #endregion
        }
    }
}